import java.awt.Dimension;
import java.text.ParseException;

import javax.swing.JFormattedTextField;
import javax.swing.JFrame;
import javax.swing.text.DefaultFormatterFactory;

import MyMaskFormatter.MyMaskFormatter;

public class main {

	public static void main(String[] args) {
		try {

			MyMaskFormatter format = new MyMaskFormatter("###.###.###-##");
			JFormattedTextField formattedTextField = new JFormattedTextField(new DefaultFormatterFactory(format));

			formattedTextField.setPreferredSize(new Dimension(200, 20));

			JFrame frame = new JFrame("MyMaskFormatter");
			frame.setSize(400, 20);
			frame.add(formattedTextField);
			frame.setLocationRelativeTo(null);
			frame.setVisible(true);

		} catch (ParseException e) {
			e.printStackTrace();
		}
	}

}
